import { createPlugin, highlightPluginKey } from './pm-plugin';

// TODO: Uncomment once ADF schema change rolled out in AFM
// import { backgroundColor } from '@atlaskit/adf-schema';

export const highlightPlugin = ({
  api
}) => ({
  name: 'highlight',
  // TODO: Uncomment once ADF schema change rolled out in AFM
  // marks() {
  //   return [{ name: 'backgroundColor', mark: backgroundColor }];
  // },

  pmPlugins: () => [{
    name: 'highlight',
    plugin: () => createPlugin({
      api
    })
  }],
  getSharedState(editorState) {
    if (!editorState) {
      return;
    }
    return highlightPluginKey.getState(editorState);
  }

  // Add highlight toolbar button to primary toolbar
  // primaryToolbarComponent({ disabled }) {
  // TODO: Implement primary toolbar UI
  // },
});